Subject: bug#34705: [bug-diffutils] bug#34705: Cannot get white space to be ignored

From: Akira Shiratsuki <[email-masked]>
Date: Sat, 2 Mar 2019 20:27:08 +0900

Hi,

It's below. So white-space doesn't include Non-breaking space('\xa0').

>From NEWS:
 User-visible changes in version 2.4:
 * cmp and diff now conform to POSIX 1003.2-1992 (ISO/IEC 9945-2:1993)
   if the underlying system conforms to POSIX:
   - ``White space'' is now whatever C's `isspace' says it is.

"info isspace" says:
        isspace()
               checks for white-space characters.  In the "C" and "POSIX" locales, these are: space, form-feed ('\f'),
               newline ('\n'), carriage return ('\r'), horizontal tab ('\t'), and vertical tab ('\v').

Akira

On Fri, 1 Mar 2019 15:19:23 -0800
Mallika Bachan <[email-masked]> wrote:

> Hi,
> 
> I'm confused why white space isn't being ignored:
> 
> MALLIKA-MBP:~ mallikab$ diff -w 17 18
> 
> 3c3
> 
> <   Product:      fec-secure
> 
> ---
> 
> >   Product:      fec-secure
> 
> MALLIKA-MBP:~ mallikab$
> 
> I have diff (GNU diffutils) 2.8.1
> 
> both on my Mac as well as the Linux box at work
> 
> 
> What does "Ignore all white space" mean?
> 
> That I'm still gonna get output?
> 
> 
> -Mallika